<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.person.mapper.HouseUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="basicInfoResultMap" type="org.springblade.person.entity.HouseUser">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="id_card" property="idCard"/>
        <result column="sex" property="sex"/>
        <result column="birthday" property="birthday"/>
        <result column="nation" property="nation"/>
        <result column="native_place" property="nativePlace"/>
        <result column="nationality" property="nationality"/>
        <result column="registered_residence" property="registeredResidence"/>
        <result column="political" property="political"/>
        <result column="marital_status" property="maritalStatus"/>
        <result column="educational_level" property="educationalLevel"/>
        <result column="workplace" property="workplace"/>
        <result column="open_id" property="openId"/>
        <result column="email" property="email"/>
        <result column="tags" property="tags"/>
        <result column="remark" property="remark"/>
        <result column="agency_name" property="agencyName"/>
        <result column="agency_id" property="agencyId"/>
        <result column="residential_name" property="residentialName"/>
        <result column="residential_id" property="residentialId"/>
        <result column="building_name" property="buildingName"/>
        <result column="building_id" property="buildingId"/>
        <result column="unit_name" property="unitName"/>
        <result column="unit_id" property="unitId"/>
        <result column="floor_name" property="floorName"/>
        <result column="floor_id" property="floorId"/>
        <result column="room_name" property="roomName"/>
        <result column="room_id" property="roomId"/>
        <result column="face_url" property="faceUrl"/>
        <result column="image_md5" property="imageMd5"/>
        <result column="audit_status" property="auditStatus"/>
        <result column="entry_img_uri" property="entryImgUri"/>
        <result column="passport_img_uri" property="passportImgUri"/>
        <result column="org_position" property="orgPosition"/>
        <result column="is_member" property="isMemeber"/>
        <result column="check_opinion" property="checkOpinion"/>
    </resultMap>


    <select id="selectBasicInfoPage" resultMap="basicInfoResultMap">
        select * from personnel_basic_info where is_deleted = 0
    </select>

</mapper>
